local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Beginners(container)

--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  




local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("A Beginners Guide To Gold Making")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.ABeginnersGuideToGoldMaking(container)
  
  end)
  
  local Crafting = AceGUI:Create("Button")
  Crafting:SetText("Crafting 101")
  Crafting:SetWidth(350)
  scroll:AddChild(Crafting)
  Crafting:SetCallback("OnClick", function() 
  
  core.Crafting101(container)
  
  end)
  
  local Flipping = AceGUI:Create("Button")
  Flipping:SetText("Flipping 101")
  Flipping:SetWidth(350)
  scroll:AddChild(Flipping)
  Flipping:SetCallback("OnClick", function() 
  
  core.Flipping101(container)
  
  end)
  
  local GoldFarming = AceGUI:Create("Button")
  GoldFarming:SetText("Gold Farming 101")
  GoldFarming:SetWidth(350)
  scroll:AddChild(GoldFarming)
  GoldFarming:SetCallback("OnClick", function() 
  
  core.GoldFarming101(container)
  
  end)
  
  local BeginnerTSM = AceGUI:Create("Button")
  BeginnerTSM:SetText("Beginner TSM Crafting Setup")
  BeginnerTSM:SetWidth(350)
  scroll:AddChild(BeginnerTSM)
  BeginnerTSM:SetCallback("OnClick", function() 
  
  core.BeginnersTSMCraftingSetup(container)
  
  end)
  
  local Classes = AceGUI:Create("Button")
  Classes:SetText("Classes For Better Gold")
  Classes:SetWidth(350)
  scroll:AddChild(Classes)
  Classes:SetCallback("OnClick", function() 
  
  core.ClassesForGold(container)
  
  end)
  
  local Racials = AceGUI:Create("Button")
  Racials:SetText("Optimize Gold Making With Racials")
  Racials:SetWidth(350)
  scroll:AddChild(Racials)
  Racials:SetCallback("OnClick", function() 
  
  core.GoldRacials(container)
  
  end)
  
    local Principles = AceGUI:Create("Button") 
  Principles:SetText("Principles Of Gold Making")
  Principles:SetWidth(350)
  scroll:AddChild(Principles)
  Principles:SetCallback("OnClick", function() 
  
  core.PrinciplesOfGoldMaking(container)
  
  end)
  
  
end
